<?php
/**
 * ownCloud
 *
 * @author Owen Winkler
 * @author Lukas Reschke <lukas@owncloud.com>
 * @author Vincent Petry <pvince81@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

if(!getenv('TRAVIS')) {
	$key = new \OCA\Enterprise_Key\EnterpriseKey(false, \OC::$server->getConfig());
	if (!defined('PHPUNIT_RUN')) {
		$key->check();
	}

	// Add the expiry notice script if expires in less than 60 days or is demo key
	// and a message is likely to be generated
	$expiresIn = $key->expiresInDays();
	if ($expiresIn <= \OCA\Enterprise_Key\EnterpriseKey::WARNING_THRESHOLD || $key->has('demo')) {
		OCP\Util::addScript('enterprise_key', 'notice');
	}

	$eventDispatcher = \OC::$server->getEventDispatcher();
	$eventDispatcher->addListener('OCA\ConfigReport::loadData', [$key, 'getLicenseInfo']);

	OC_Hook::connect('\OCP\Config', 'js', '\OCA\Enterprise_Key\EnterpriseKey', 'getJs');
}

